<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" href="styles.css">
	<script src="https://unpkg.com/vue"></script>
</head>

<body>
	<div id="desafio">
		<!-- 1) Iniciar a execução de efeito de troca contínua (com intervalo) de estilos usando o botão abaixo. 
		- O efeito deve alternadamente trocar as classes "destaque" e "encolher" dentro de um setInteval (com 1s de intervalo).
		- Use a div abaixo com id "efeito" para associar as classes CSS. -->
		<h2>#01</h2>
		<div>
			<button @click="iniciarEfeito">Iniciar Efeito</button>
			<div id="efeito" :class="classe1"></div>
		</div>

		<!-- 2) Crie duas classes CSS e associe a div usando a sintaxe de array -->
		<h2>#02</h2>
		<div :class="['quadrado','hightlight-danger']">Estou sem classe CSS :(</div>

		<!-- 3) Aplique na div abaixo a classe informada pelo usuário (crie classe CSS de exemplo). -->
		<h2>#03</h2>
		<div>
			<input type="text" v-model="classe3">
			<div :class="classe3"></div>
		</div>

		<!-- 4) Aplique na div abaixo a classe informada pelo usuário e outra classe usando o valor true/false (crie classes CSS de exemplo). -->
		<h2>#04</h2>
		<div>
			<h3>Nome da classe</h3>
			<input type="text" v-model="classe4">
			<h3>Classe 'sucesso': true ou false?</h3>
			<input type="text" @input="setSucesso4">
			<div :class="[classe4, {sucesso: sucesso4}]"></div>
		</div>

		<!-- 5) Repita 3) mas utilizando estilos ao invés de classes CSS. Associe os estilos a div abaixo  -->
		<h2>#05</h2>
		<div>
			<h3>Margin-top</h3>
			<input type="text" v-model="marginTop5">
			<h3>Cor</h3>
			<input type="text" v-model="cor5">
			<h3>Largura</h3>
			<input type="text" v-model="largura5">
			<h3>Altura</h3>
			<input type="text" v-model="altura5">
			<div :style="[
					{marginTop: `${marginTop5}rem`},
					{backgroundColor: cor5},
					{width: `${largura5}px`},
					{height: `${altura5}px`}
				]">
			</div>
		</div>

		<!-- 6) Crie uma barra de progresso simples com setInterval e binding de estilo. -->
		<h2>#06</h2>
		<div>
			<button @click="handler6(reiniciarProgresso, iniciarProgresso)">Iniciar</button>
			<div class="container-progresso">
				<div class="progresso" :style="{width: width6}"></div>
			</div>
		</div>
	</div>
	<script src="app.js"></script>
</body>

</html>